Message 67965

Author
pokoli
Date
2021-06-04.09:33:49
Message id
67965

Content

Here is the traceback:

Traceback (most recent call last):
  File "/trytond/model/modelstorage.py", line 1462, in __getattr__
    field = self._fields[name]
KeyError: 'origin_name'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/eval.py", line 301, in lookup_attr
    val = getattr(obj, key)
  File "/trytond/report/report.py", line 241, in __getattr__
    return getattr(record, name)
  File "/trytond/model/modelstorage.py", line 1628, in __getattr__
    read_data = self.read(list(index.keys()), list(ffields.keys()))
  File "/trytond/model/modelsql.py", line 867, in read
    getter_results = field.get(
  File "/trytond/model/fields/function.py", line 105, in get
    return dict((name, call(name)) for name in names)
  File "/trytond/model/fields/function.py", line 105, in <genexpr>
    return dict((name, call(name)) for name in names)
  File "/trytond/model/fields/function.py", line 100, in call
    return dict((r.id, method(r, name)) for r in records)
  File "/trytond/model/fields/function.py", line 100, in <genexpr>
    return dict((r.id, method(r, name)) for r in records)
  File "/trytond/modules/stock/shipment.py", line 422, in get_origins
    return ', '.join(set(filter(None,
  File "/trytond/modules/stock/shipment.py", line 423, in <genexpr>
    (m.origin_name for m in self.incoming_moves))))
  File "/trytond/model/modelstorage.py", line 1464, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "stock.move,2" has no attribute "origin_name"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/eval.py", line 307, in lookup_attr
    val = obj[key]
TypeError: 'TranslateModel' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 117, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 47, in rpc
    return methods.get(request.rpc_method, _dispatch)(
  File "/trytond/wsgi.py", line 84, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 156, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 181, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/modules/stock/shipment.py", line 2738, in execute
    return super(ShipmentReport, cls).execute(ids, data)
  File "/trytond/report/report.py", line 193, in execute
    oext, content = cls._execute(
  File "/trytond/report/report.py", line 207, in _execute
    return cls.convert(action, cls.render(action, report_context))
  File "/trytond/report/report.py", line 303, in render
    data = template.generate(**report_context).render()
  File "/relatorio/templates/base.py", line 34, in render
    return self.serializer(
  File "/relatorio/templates/opendocument.py", line 1178, in __call__
    output_encode(
  File "/genshi/output.py", line 60, in encode
    for chunk in iterator:
  File "/genshi/output.py", line 243, in __call__
    for kind, data, pos in stream:
  File "/genshi/output.py", line 674, in __call__
    for kind, data, pos in stream:
  File "/genshi/output.py", line 779, in __call__
    for kind, data, pos in chain(stream, [(None, None, None)]):
  File "/genshi/output.py", line 598, in __call__
    for ev in stream:
  File "/relatorio/templates/opendocument.py", line 1071, in __call__
    for kind, data, pos in stream:
  File "/genshi/filters/i18n.py", line 688, in __call__
    for kind, data, pos in stream:
  File "/genshi/template/base.py", line 641, in _include
    for event in stream:
  File "/genshi/template/markup.py", line 326, in _match
    for event in stream:
  File "/genshi/template/base.py", line 601, in _flatten
    result = _eval_expr(data, ctxt, vars)
  File "/genshi/template/base.py", line 291, in _eval_expr
    retval = expr.evaluate(ctxt)
  File "/genshi/template/eval.py", line 160, in evaluate
    return eval(self.code, _globals, {'__data__': data})
  File "<string>", line 149, in <Expression "__relatorio_escape_invalid_chars(shipment.origins or '')">
  File "/genshi/template/eval.py", line 309, in lookup_attr
    val = cls.undefined(key, owner=obj)
  File "/genshi/template/eval.py", line 397, in undefined
    raise UndefinedError(key, owner=owner)
genshi.template.eval.UndefinedError: <trytond.report.report.Report._get_records.<locals>.TranslateModel object at 0x7ff1e5b11490> has no member named "origins"

It can be reproduced by printing the restocking list of a shipment with components related to a purchase.

Here is review363431002 which fixes it.

History
Date User Action Args
2021-06-04 09:33:49pokolisetmessageid: <1622792029.281416.L4YHZFUZZU5ZOYZ7.issue10458@tryton.org>
2021-06-04 09:33:49pokolisetrecipients: + ced, yangoon
2021-06-04 09:33:49pokolilinkissue10458 messages
2021-06-04 09:33:49pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)